/* JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and others contributors as indicated 
 * by the @authors tag. All rights reserved. 
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors. 
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 * (C) 2005-2006,
 */


package org.jboss.internal.soa.esb.addressing.eprs;

import java.net.MalformedURLException;
import java.net.URISyntaxException;
import java.util.UUID;

import org.jboss.soa.esb.addressing.eprs.FileEpr;

public class DefaultFileReplyToEpr extends FileEpr
{
	
	public DefaultFileReplyToEpr (FileEpr epr)
		throws URISyntaxException, MalformedURLException
	{
		super(epr.getURI());
		String suffix = uniqueFileSuffix(epr);
		setInputSuffix(suffix);
		setPostSuffix(suffix);
		setPostDelete(true);
	}
	
	
	static String uniqueFileSuffix(FileEpr epr)
		throws URISyntaxException
	{
		String inputSuffix = epr.getInputSuffix(); 
		return ((null==inputSuffix)?"":inputSuffix)+"."+FileEpr.DEFAULT_REPLY_TO_FILE_SUFFIX+UUID.randomUUID().toString();
	}
}
