/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and others contributors as indicated 
 * by the @authors tag. All rights reserved. 
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors. 
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 * (C) 2005-2006,
 * @author derek.adams@sapience360.com
 */

package org.jboss.internal.soa.esb.message.urigen;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.UUID;

import org.jboss.soa.esb.message.Message;
import org.jboss.soa.esb.message.urigen.MessageURIGenerator;
import org.jboss.soa.esb.message.urigen.URIGenerationException;

/**
 * Generates a message URI that can be used as a JCR node name.
 * 
 * @author Derek Adams
 */
public class JcrMessageURIGenerator implements MessageURIGenerator {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jboss.soa.esb.message.urigen.MessageURIGenerator#generateMessageURI(org.jboss.soa.esb.message.Message)
	 */
	public URI generateMessageURI(Message message)
			throws URIGenerationException {
		String uuid = UUID.randomUUID().toString();
		try {
			return new URI(uuid);
		} catch (URISyntaxException e) {
			throw new URIGenerationException(e);
		}
	}
}