/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.soa.esb.actions.routing.http;

import java.util.ArrayList;
import java.util.List;

import org.jboss.internal.soa.esb.assertion.AssertArgument;
import org.jboss.soa.esb.message.Message;

/**
 * Http Response Object. 
 * @author <a href="mailto:tom.fennelly@jboss.com">tom.fennelly@jboss.com</a>
 * @deprecated Use {@link org.jboss.soa.esb.http.HttpResponse}
 */
public class HttpResponse extends org.jboss.soa.esb.http.HttpResponse {
    public HttpResponse(int responseCode) {
        super(responseCode);
    }

    /**
     * @deprecated Use {@link #addHeader(org.jboss.soa.esb.http.HttpHeader).
     */
    public List<HttpHeader> getHeaders() {
    	List<HttpHeader> newArray =  new ArrayList<HttpHeader>();
    	List<org.jboss.soa.esb.http.HttpHeader> baseArray = super.getHttpHeaders();
    	
    	for(org.jboss.soa.esb.http.HttpHeader baseArrayEntry : baseArray) {
    		if(baseArrayEntry instanceof HttpHeader) {
    			newArray.add((HttpHeader) baseArrayEntry);
    		}
    	}
    	
    	return newArray;
    }
}
