/*
	Milyn - Copyright (C) 2006 - 2010

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License (version 2.1) as published by the Free Software
	Foundation.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

	See the GNU Lesser General Public License for more details:
	http://www.gnu.org/licenses/lgpl.txt
*/
package org.jboss.soa.esb.configure;

import org.jboss.soa.esb.actions.annotation.AttachmentParam;
import org.jboss.soa.esb.actions.annotation.BodyParam;
import org.jboss.soa.esb.actions.annotation.PropertyParam;

/**
 * Annotation constants.
 * 
 * @author <a href="mailto:tom.fennelly@gmail.com">tom.fennelly@gmail.com</a>
 */
public abstract class AnnotationUtil {

    /**
     * "null" default annotation value.
     */
    public static final String NULL_STRING = "##NULL##";

    /**
     * Unassigned default.
     */
    public static final String UNASSIGNED = "##UNASSIGNED##";

	public static String getPropertyName(PropertyParam propertyParam) {
		if(propertyParam == null) {
			return null;
		}
		
		if(NULL_STRING.equals(propertyParam.value())) {
			return null;
		}
		
		return propertyParam.value();
	}

	public static String getBodyName(BodyParam bodyParam) {
		if(bodyParam == null) {
			return null;
		}
		
		if(NULL_STRING.equals(bodyParam.value())) {
			return null;
		}
		
		return bodyParam.value();
	}

	public static String getAttachmentName(AttachmentParam attachmentParam) {
		if(attachmentParam == null) {
			return null;
		}
		
		if(NULL_STRING.equals(attachmentParam.value())) {
			return null;
		}
		
		return attachmentParam.value();
	}
}
