package org.jboss.soa.esb.listeners.jca;

public interface JcaConstants
{
    /**
     * The adapter attribute for the JCA gateway/listener
     */
    public final String ATTRIBUTE_ADAPTER = "adapter";
    /**
     * The endpoint class attribute for the JCA gateway/listener.
     */
    public final String ATTRIBUTE_ENDPOINT_CLASS = "endpointClass";
    /**
     * The messaging type attribute for the JCA gateway/listener.
     */
    public final String ATTRIBUTE_MESSAGING_TYPE = "messagingType";
    /**
     * The JCA bridge attribute for the JCA gateway/listener.
     */
    public final String ATTRIBUTE_JCA_BRIDGE = "jcaBridge";
    /**
     * The transacted attribute for the JCA gateway/listener.
     */
    public final String ATTRIBUTE_TRANSACTED = "transacted";
    /**
     * The listener composer class attribute for the JCA listener.
     */
    public final String ATTRIBUTE_LISTENER_COMPOSER_CLASS = "listener-composer";
    
    
    /**
     * The name of the activation config element for the JCA gateway/listener.
     */
    public final String ELEMENT_ACTIVATION_CONFIG = "activation-config";
    /**
     * The name of the property element for the JCA gateway/listener.
     */
    public final String ELEMENT_PROPERTY = "property";
    /**
     * The name of the value attribute for the JCA gateway/listener.
     */
    public final String ATTRIBUTE_VALUE = "value";
    /**
     * The name of the name attribute for the JCA gateway/listener.
     */
    public final String ATTRIBUTE_NAME = "name";
}
