/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jboss.soa.esb.listeners.message;

/**
 * Action Processing Constants.
 */
public class ActionProcessingConstants
{
	/**
	 * Used to store the call details of the received message when a response cannot be sent.
	 */
	public static final String PROPERTY_FAILURE_CALL_DETAILS = "org.jboss.soa.esb.failure.call" ;
	/**
	 * Used to store the response type when the response cannot be sent. 
	 */
	public static final String PROPERTY_FAILURE_RESPONSE_TYPE = "org.jboss.soa.esb.failure.responseType" ;
	/**
	 * Payload content encoding.  Only relevant for byte[] or InputStream payload types.
	 */
	public static final String PROPERTY_PAYLOAD_CONTENT_ENCODING = "org.jboss.soa.esb.payload.contentEncoding" ;
}
