/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and others contributors as indicated
 * by the @authors tag. All rights reserved.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2005-2006, JBoss Inc.
 */
package org.jboss.soa.esb.listeners.message;

/**
 * Service has not been located in the registry.
 */

public class MissingServiceException extends MessageDeliverException
{
    /**
     * The serial version UID for this class.
     */
    private static final long serialVersionUID = -7560505311665332064L;

    /**
     * Construct the exception with the specific message.
     * @param message The message associated with this exception.
     */
    public MissingServiceException(String message)
    {
        super(message) ;
    }

    /**
     * Construct the exception with the specific message and cause.
     * @param message The message associated with this exception.
     * @param cause The cause associated with this exception.
     */
    public MissingServiceException(final String message, final Throwable cause)
    {
        super(message, cause) ;
    }
}
