package org.jboss.soa.esb.message.format;

import java.net.URI;

import org.jboss.soa.esb.message.Message;

/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and others contributors as indicated 
 * by the @authors tag. All rights reserved. 
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors. 
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 * (C) 2005-2006,
 * @author mark.little@jboss.com
 */

/**
 * Used to plug in new message formats dynamically. Each plugin is responsible for
 * returning a message implementation that knows how to serialize its state in a
 * specific manner, e.g., XML or ASN.1.
 *  
 * @author Mark Little
 *
 */

public interface MessagePlugin
{
	public static final String MESSAGE_PLUGIN = "org.jboss.soa.esb.message.format.plugin";
	
	/**
	 * @return the message instance.
	 */
	
	public Message getMessage ();
	
	/**
	 * @return the unique format identifier for this message plugin.
	 */
	
	public URI getType ();
	
	public Object createBodyType (Message msg, String type);
}
