/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and others contributors as indicated
 * by the @authors tag. All rights reserved.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2005-2006, JBoss Inc.
 */
package org.jboss.soa.esb.schedule;

/**
 * Simple Schedule value object.
 * <p/>
 * Example of simple configuration:
 * <pre>
 *   &lt;property name="frequency" value="10"/&gt;
 *   &lt;property name="execCount" value="10"/&gt;
 *   &lt;property name="startDate" value="yy-MM-dd HH:mm:ss"/&gt;
 *   &lt;property name="endDate" value="yy-MM-dd HH:mm:ss"/&gt;
 * </pre>
 *
 * @author <a href="daniel.bevenius@redpill.se">Daniel Bevenius</a>
 * @author <a href="mailto:tom.fennelly@jboss.com">tom.fennelly@jboss.com</a>
 */
public class SimpleSchedule extends Schedule {

    /* polling frequency in seconds */
    private long frequency;
    /* nr of times to execute */
    private int execCount;
    
    public SimpleSchedule(String scheduleid) {
        super(scheduleid);
    }

    public long getFrequency() {
        return frequency;
    }

    public void setFrequency(long frequency) {
        this.frequency = frequency;
    }

    public int getExecCount() {
        return execCount;
    }

    public void setExecCount(int execCount) {
        this.execCount = execCount;
    }
}
