/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jboss.soa.esb.util;

import org.jboss.soa.esb.BaseException;

/**
 * Remote File System exception.
 * @author b_georges
 * @since Version 4.0
 */
public class RemoteFileSystemException extends BaseException 
{

	private static final long serialVersionUID = 1L;

	/**
     * Construct an exception instance. 
     * @param message Exception message.
     */
    public RemoteFileSystemException(String message) { super(message); }

    /**
     * Construct an exception instance. 
     * @param message Exception message.
     * @param cause Exception cause.
     */
    public RemoteFileSystemException(String message, Throwable cause) { super(message, cause); }

    /**
     * Construct an exception instance. 
     * @param cause Exception cause.
     */
    public RemoteFileSystemException(Throwable cause) { super(cause); }
}
