/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and others contributors as indicated
 * by the @authors tag. All rights reserved.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2005-2006, JBoss Inc.
 */
package org.jboss.soa.esb.actions;

import org.jboss.soa.esb.actions.AbstractActionPipelineProcessor;
import org.jboss.soa.esb.actions.ActionProcessingException;
import org.jboss.soa.esb.helpers.ConfigTree;
import org.jboss.soa.esb.message.Message;
import junit.framework.TestCase;

/**
 * @author <a href="mailto:tom.fennelly@jboss.com">tom.fennelly@jboss.com</a>
 */
public class ResponseAction extends AbstractActionPipelineProcessor {

    public static Message requestMessage;
    public static Message responseMessage;
    public static ActionProcessingException exception;

    public ResponseAction(ConfigTree config) {
    }

    public Message process(final Message message) throws ActionProcessingException {
        if(exception != null) {
            throw exception;
        }
        requestMessage = message;
        return ResponseAction.responseMessage;
    }

    public static void waitForMessage(long timeout) {
        long start = System.currentTimeMillis();

        while(requestMessage == null && System.currentTimeMillis() < start + timeout) {
            try {
                Thread.sleep(50);
            } catch (InterruptedException e) {
                TestCase.fail("Unexpected thread interrupt.");
            }
        }

        if(requestMessage == null) {
            TestCase.fail("Timed out waiting on message");
        }
    }
}