/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and others contributors as indicated
 * by the @authors tag. All rights reserved.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2005-2006, JBoss Inc.
 */
package org.jboss.soa.esb.schedule;

import org.jboss.soa.esb.helpers.ConfigTree;

/**
 * @author <a href="mailto:tom.fennelly@jboss.com">tom.fennelly@jboss.com</a>
 */
public class MockScheduledEventListener implements ScheduledEventListener {

    public static ConfigTree config;
    public static boolean onSchedule;
    public static boolean uninitialised;
    public static int execCount;
    public static long sleep;

    public static void reset() {
        config = null;
        onSchedule = false;
        uninitialised = false;
        execCount = 0;
        sleep = 0;
    }

    public void initialize(ConfigTree config) {
        MockScheduledEventListener.config = config;
    }

    public void onSchedule() throws SchedulingException {
        onSchedule = true;
        execCount++;
        if(sleep > 0) {
            try {
                Thread.sleep(sleep);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
    }

    public void uninitialize() {
        uninitialised = true;
    }
}
