/*
 * JBoss, Home of Professional Open Source
 * Copyright 2012, JBoss Inc., and others contributors as indicated 
 * by the @authors tag. All rights reserved. 
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors. 
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 * (C) 2005-2012,
 * @author JBoss Inc.
 */
package org.jboss.soa.esb.samples.quickstart.sampleaggregator.test;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;

public class CreateTestFile {
    
    public static void main(String args[]) throws Exception
    {        	    	
    	String inputDirectory = args[0];
    	String fileName = args[1];
    	int lines = Integer.parseInt(args[2]);
    	File x = new File(inputDirectory + "/" + fileName);
    	try {
    		BufferedWriter out = new BufferedWriter(new FileWriter(x));
    		for (int i = 1; i <= lines; i++) {
    			out.write( (i + " line of file").toCharArray() );
    			out.newLine();
    		}
    		out.close();
    	} catch (Exception e) {
    		System.out.println("Error while writing the file: " + inputDirectory + "/" + fileName);
    		System.out.println(e.getMessage());
    	}
    }
    
}