/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.soa.esb.quickstart.test;

import junit.framework.Test;

import org.jboss.soa.esb.samples.quickstart.jmssecured.test.SendJMSMessage;

/**
 * CI test for the jms_secured quickstart.
 * 
 * @author <a href="mailto:tcunning@redhat.com">Tom Cunningham</a>
 */
public class JMSSecuredTest extends AbstractQuickstartTestCase {
	private static final String JMS_MESSAGE = "Hello Secured JMS World";

	public JMSSecuredTest(String name) {
		super(name);
	}

	public void testMessage() throws Exception {
	    clearMessages();
	    sendMessage();
	    checkMessages(30000, JMS_MESSAGE);
	}

	public void sendMessage() throws Exception {
		SendJMSMessage sm = new SendJMSMessage();
        sm.setupConnection();
        sm.sendAMessage(JMS_MESSAGE);
        sm.stop();
	}

	public static Test suite() throws Exception {
		return getDeploySetup(JMSSecuredTest.class, "QuickstartMessageStoreServer.sar, Quickstart_JMS_Secured.esb");
	}
}
